﻿Public Class Element : Inherits DesignerObject

    ' The Connector's X and Y properties are always 0 because the line coordinates are actually determined the Nodes properties.
    Public Overrides Property X As Double
        Get
            Return 0
        End Get
        Set(value As Double)
        End Set
    End Property
    Public Overrides Property Y As Double
        Get
            Return 0
        End Get
        Set(value As Double)
        End Set
    End Property

    Private _start As Node
    Public Property StartingNode As Node
        Get
            Return _start
        End Get
        Set(value As Node)
            _start = value
            OnPropertyChanged("StartingNode")
        End Set
    End Property

    Private _end As Node
    Public Property EndingNode As Node
        Get
            Return _end
        End Get
        Set(value As Node)
            _end = value
            OnPropertyChanged("EndingNode")
        End Set
    End Property
End Class
